setlocal ENABLEDELAYEDEXPANSION

set PROGRAMID=Stagsi
set PROGRAMTITLE=Stagsi

if "%1" == "/1" goto :1

if "%SUP_HIDDEN%" == "" (
  Sup /pipe - "%~dpf0" /1
  if !errorlevel! equ -8865 exit /b
)

exit /b 0

:1
rem --- Ask the user to keep his database if it appears to have been used ---
set DB=%APPDATA%\Soletude\Stagsi\Database
set SIZE=0
rem If the file doesn't exist set is still called but ~z returns empty string.
if exist "%DB%\Stagsi.sqlite" ^
for /f "usebackq tokens=*" %%f in ('%DB%\Stagsi.sqlite') do set SIZE=%%~zf
if %SIZE% geq 80000 (
  "%~dp0Supper" mbox YN "%PROGRAMTITLE%" $3
  if !errorlevel! neq 1 (
    set SUF=
    :gendest
    set DEST=%USERPROFILE%\Desktop\%PROGRAMTITLE% DB!SUF!
    set SUF= (!RANDOM!^)
    if exist "!DEST!" goto :gendest
    rem Confirmed to work across different drives.
    move "%DB%" "!DEST!"
    if !errorlevel! neq 0 (
      "%~dp0Supper" mbox ^^!^^! "%PROGRAMTITLE%" $5
      Explorer /select,"%DB%"
      rem Not /B - having it causes EXIT to set the errorlevel of 0.
      exit -8865
    )
    "%~dp0Supper" mbox "" "%PROGRAMTITLE%" $4
  )
)
rem The actual folder is deleted in general-purpose Uninstall\post\run.bat.
exit /b
